Amazon Linux 2: gzip、xz (ALAS-2022-1782)

medium Nessus プラグイン ID 160262

概要

リモートの Amazon Linux 2 ホストに、セキュリティ更新プログラムがありません。

説明

リモートホストにインストールされている gzip のバージョンは、1.5-10 より前です。リモートホストにインストールされている xz のバージョンは、5.2.2-1 より前です。したがって、ALAS2-2022-1782 のアドバイザリに記載されている脆弱性の影響を受けます。

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ頼っていることに注意してください。

ソリューション

「yum update gzip」を実行してシステムを更新してください。
「yum update xz」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2/ALAS-2022-1782.html

https://alas.aws.amazon.com/cve/html/CVE-2022-1271.html

プラグインの詳細

深刻度: Medium

ID: 160262

ファイル名: al2_ALAS-2022-1782.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/4/27

更新日: 2022/4/27

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: AV:N/AC:M/Au:N/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-1271

CVSS v3

リスクファクター: Medium

Base Score: 5

Temporal Score: 4.4

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:gzip, p-cpe:/a:amazon:linux:gzip-debuginfo, p-cpe:/a:amazon:linux:xz, p-cpe:/a:amazon:linux:xz-compat-libs, p-cpe:/a:amazon:linux:xz-debuginfo, p-cpe:/a:amazon:linux:xz-devel, p-cpe:/a:amazon:linux:xz-libs, p-cpe:/a:amazon:linux:xz-lzma-compat, cpe:/o:amazon:linux:2

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/4/25

脆弱性公開日: 2022/4/19

参照情報

CVE: CVE-2022-1271

ALAS: 2022-1782